module HostradoAPI
  module V1
    class Domains
      def initialize(connection)
        @connection = connection
      end

      def list
        domain_list, _ = @connection.send_request(:get, '/domains')
        domain_list['domains'].map { |domain| HostradoAPI::Domain.new(domain) }
      end
    end
  end
end
