module HostradoAPI
  class Domain
    attr_reader :id
    attr_reader :name
    attr_reader :tld
    attr_reader :expires_on

    def initialize(domain_data = {})
      @id         = domain_data['id'].to_i
      @name       = domain_data['name']
      @tld        = domain_data['tld']
      @expires_on = Date.parse(domain_data['expires_on'])
    end
  end
end
